Subject: Re: [fuse-devel] [PATCH 4/6] fs/fuse: support compiling out splice

From: Greg KH <[email-masked]>
Date: Mon, 24 Nov 2014 12:22:14 -0800

On Mon, Nov 24, 2014 at 12:14:50PM -0800, [email-masked] wrote:
> > I would, again, argue that stuff like __splice_p() not be implemented at
> > all please.  It will only cause a huge proliferation of stuff like this
> > that will not make any sense, and only cause a trivial, if any, amount
> > of code savings.
> > 
> > I thought you were going to not do this type of thing until you got the
> > gcc optimizer working for function callbacks.
> 
> Compared to the previous patchset, there are now only two instances of
> ifdefs outside of the splice code for this, and this is one of them.  In
> this case, the issue is no longer about making the code for this
> splice_read function disappear, but rather to eliminate a reference to a
> bit of splice functionality (used *inside* the FUSE splice code) that
> will not work without SPLICE_SYSCALL.
> 
> Would you prefer to see this specific case handled via an #ifdef in
> fs/fuse/dev.c rather than introducing a __splice_p that people might be
> inclined to propagate?  That'd be fine; the code could simply wrap
> fuse_dev_splice_read in an #ifdef and have the #else define a NULL
> fuse_dev_splice_read.

Yes, I would prefer that, but I'm not the fuse maintainer.

thanks,

greg k-h